<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.gingersoft.gsa.cloud.login">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false" />

    <application
        android:name="com.gingersoft.gsa.cloud.app.GsaCloudApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:maxAspectRatio="2.4"
        android:resizeableActivity="true"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true">
        <activity
            android:name=".mvp.ui.activity.WelcomeActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait">

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".mvp.ui.activity.LoginActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity android:name=".mvp.ui.activity.SwitchServerActivity" />

        <!--   HywebPOS支付頁     -->
        <activity
            android:name="com.etps.aca.lib.activity.CommandActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".mvp.ui.activity.ChooseRestaurantActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".mvp.ui.activity.LoginOutActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".mvp.ui.activity.RecoverPasswordActivity"
            android:screenOrientation="portrait" />

        <meta-data
            android:name="com.gingersoft.gsa.cloud.common.config.globalconfig.GlobalConfiguration"
            android:value="ConfigModule" />
        <meta-data
            android:name="design_width_in_dp"
            android:value="360" />
        <meta-data
            android:name="design_height_in_dp"
            android:value="640" />
        <meta-data
            android:name="android.max_aspect"
            android:value="2.4" />
        <!--适配华为（huawei）刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />
        <!--适配小米（xiaomi）刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />
    </application>

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <!--获取Activity任务栈 权限-->
    <uses-permission android:name="android.permission.GET_TASKS" />

</manifest>
